Loading...
Searching...
No Matches
casacore::StatisticsAlgorithmFactoryData::FitToHalfData< AccumType > Struct Template Reference

`#include <StatisticsAlgorithmFactoryData.h>`

## Public Attributes

FitToHalfStatisticsData::CENTER | center
FitToHalfStatisticsData::USE_DATA | side
| fit to half data portion to use
AccumType | centerValue
| fit to half center value (only relevent if center=CVALUE)

## Detailed Description

template<class AccumType>
struct casacore::StatisticsAlgorithmFactoryData::FitToHalfData< AccumType >

Definition at line 46 of file StatisticsAlgorithmFactoryData.h.

## Member Data Documentation

## center

template<class AccumType>

FitToHalfStatisticsData::CENTER casacore::StatisticsAlgorithmFactoryData::FitToHalfData< AccumType >::center

Definition at line 47 of file StatisticsAlgorithmFactoryData.h.

## centerValue

template<class AccumType>

AccumType casacore::StatisticsAlgorithmFactoryData::FitToHalfData< AccumType >::centerValue

fit to half center value (only relevent if center=CVALUE)

Definition at line 51 of file StatisticsAlgorithmFactoryData.h.

## side

template<class AccumType>

FitToHalfStatisticsData::USE_DATA casacore::StatisticsAlgorithmFactoryData::FitToHalfData< AccumType >::side

fit to half data portion to use

Definition at line 49 of file StatisticsAlgorithmFactoryData.h.

The documentation for this struct was generated from the following file:

- scimath/StatsFramework/StatisticsAlgorithmFactoryData.h